:root {
	--t-f: cubic-bezier(0.2, 0.8, 0.2, 1);
}

.disabled {
	pointer-events: none !important;

	text-decoration: line-through !important;

	position: relative !important;

	overflow: visible !important;
}

.disabled::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;

	width: 100%;
	height: 100%;

	background-image: repeating-linear-gradient(
		45deg,
		rgba(0, 0, 0, 0.3),
		rgba(0, 0, 0, 0.3) 10px,
		rgba(255, 215, 0, 0.3) 10px,
		rgba(255, 215, 0, 0.3) 20px
	);

	border-radius: inherit;

	z-index: 998;
}

.disabled::after {
	content: "Coming\ASoon!!";
	white-space: pre;

	text-decoration: none;

	background-color: #ffd700;
	color: #000;

	font-family: sans-serif;
	font-size: 7px;
	font-weight: 800;
	line-height: 8px;
	text-align: center;

	padding: 3px 4px;

	border: 1px solid #ffde26;
	border-radius: 3px;

	box-sizing: 0 2px 4px rgba(0, 0, 0, 0.5);

	position: absolute;
	top: -7px;
	right: -10px;

	z-index: 999;

	transform: rotate(30deg);
}

.loader {
	width: 100vw;
	height: 100vh;

	position: absolute;
	top: 0;
	left: 0;

	background-color: #121212;

	z-index: 9999;

	display: flex;
	align-items: center;
	justify-content: center;

	overflow: hidden;

	transition: opacity 500ms ease;

	cursor: none;
}

.loader h1 {
	font-size: 300px;
	font-size: 600;
	font-family: "Georgia", serif;

	margin: 0;

	color: #e0e0e0;
}

.fade-out {
	opacity: 0;
	pointer-events: none;
}
